### experimental::wait_for_one_success

Wait until an operation completes without an error, then cancel the others.

    class wait_for_one_success

##### Member Functions

Name | Description
--- | ---
operator() |
wait_for_one_success [constructor] |

If no operation completes without an error, waits for completion of all operations.

##### Requirements

Header: `asio/experimental/cancellation_condition.hpp`

Convenience header: None